# epics-module-meta

Meta repository with references to third party modules and tags to build them.

This is very barebones, please improve as you see fit.
This at least allows us to pin down the versions for when we need to rebuild everything

## How to

Create a module yaml file in the `modules` directory, the most common case we build an already tagged version from GFS.

```
$ cat modules/autosave.yaml
module: autosave
repo: git@git.psi.ch:epics_driver_modules/autosave.git
tag: 5.7.18
```

Build with:
```
./build modules/autosave.yaml
```

Install with:
```
./build modules/autosave.yaml install
```

If you have your modules directory in a non-standard location:
```
export EPICS_MODULES=/path/to/your/modules
```
in beforehand.
